
Figure - Bug #113906
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】连接蓝牙后，立即使用遥控器进行音量调节，调节失败
2022-11-11 15:27 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211110608

Resolution: -- Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

Reproducibility: Every time Fixed Version: 2022-11-22

Test Type: IT Root cause: 在蓝牙连接状态改变时，SystemUI收到连接设备改变的广播，然后进行一系列设置，由于更新连接设备设备，System更新了当前Stream的状态，导致下一次更改声音时，更新当Stream与接收到的一致，导致没有更新音量条，所以是灰色的

Description

【前提条件】

1、设备已开机

【测试步骤】

1、手机与设备连接同一WIFI

2、在手机中利用遥控器连接设备

3、设备连接一个蓝牙耳机

4、进行音量加减操作

【预期结果】

3、点击音量加或者音量减时，音量调节条做出相应反应

【实际结果】

3、连接蓝牙耳机时第一次唤出音量条，音量调节失效

PS:关闭蓝牙后第一次唤出音量条，也无法调节音量

History

#1 - 2022-11-16 17:41 - CDTS_TEST 王成

- Priority changed from Normal to High

- Severity changed from Normal to Critical

#2 - 2022-11-17 11:48 - CD MM陈海波

- Priority changed from High to Normal

- Severity changed from Critical to Normal

这个问题推测和system ui相关, 具体的信息如下:

控制音量面板的实现在system ui中. 当问题产生时, System ui将控制面貌的streamType调控成了STREAM_BLUETOOTH_SCO, 

导致问题产生. 具体的log信息:

//连接蓝牙: 

11-11 05:58:37.774  1514  1514 I AS.BtHelper: setBtScoActiveDevice: XX:XX:XX:71:EB:E4 -> (null)
11-11 05:58:37.787  1514  1514 W AS.AudioDeviceInventory: handleDeviceConnection() failed, deviceKey=0x20:00:00:00:00:00:00, deviceSpec=null,

connect=false

11-11 05:58:37.788  1514  1514 W AS.AudioDeviceInventory: handleDeviceConnection() failed, deviceKey=0x40:00:00:00:00:00:00, deviceSpec=null,

connect=false

...

//SystemUI调用forceVolumeControlStream, 将stream设置为: STREAM_BLUETOOTH_SCO

11-11 05:58:38.039  1998  2502 I vol.Events: writeEvent active_stream_changed STREAM_BLUETOOTH_SCO

11-11 05:58:38.039  1514 10321 D AS.AudioService: forceVolumeControlStream cb:android.os.BinderProxy@21dce65 is already linked.

11-11 05:58:41.635  1514  2080 D MediaSessionService: dispatchVolumeKeyEvent, pkg=com.android.settings, opPkg=com.android.settings, pid=13326,

uid=1000, asSystem=true, event=KeyEvent { action=ACTION_DOWN, keyCode=KEYCODE_VOLUME_UP, scanCode=0, metaState=0, flags=0x0,

repeatCount=0, eventTime=4337039, downTime=4337039, deviceId=-1, source=0x101, displayId=-1 }, stream=-2147483648, musicOnly=false

11-11 05:58:41.635  1514  2080 D MediaSessionService: Adjusting suggestedStream=-2147483648 by 1. flags=4113, preferSuggestedStream=false, session=null

//volume_changed, streamType为STREAM_BLUETOOTH_SCO, 问题应该产生再这儿.

11-11 05:58:41.636  1514  1514 I volume_changed: [6,7,8,15,android]

11-11 05:58:41.639  1998  2502 I vol.Events: writeEvent level_changed STREAM_BLUETOOTH_SCO 8

11-11 05:58:41.640  1998  2502 I vol.Events: writeEvent key STREAM_BLUETOOTH_SCO 8

//重新按键

11-11 05:58:45.092  1514  2080 D MediaSessionService: dispatchVolumeKeyEvent, pkg=com.android.settings, opPkg=com.android.settings, pid=13326,

uid=1000, asSystem=true, event=KeyEvent { action=ACTION_DOWN, keyCode=KEYCODE_VOLUME_UP, scanCode=0, metaState=0, flags=0x0,

repeatCount=0, eventTime=4340496, downTime=4340496, deviceId=-1, source=0x101, displayId=-1 }, stream=-2147483648, musicOnly=false

11-11 05:58:45.092  1514  2080 D MediaSessionService: Adjusting suggestedStream=-2147483648 by 1. flags=4113, preferSuggestedStream=false, session=null

11-11 05:58:45.097  1514  9595 D MediaSessionService: dispatchVolumeKeyEvent, pkg=com.android.settings, opPkg=com.android.settings, pid=13326,

uid=1000, asSystem=true, event=KeyEvent { action=ACTION_UP, keyCode=KEYCODE_VOLUME_UP, scanCode=0, metaState=0, flags=0x0,

repeatCount=0, eventTime=4340496, downTime=4340496, deviceId=-1, source=0x101, displayId=-1 }, stream=-2147483648, musicOnly=false

11-11 05:58:45.098  1514  9595 D MediaSessionService: Adjusting suggestedStream=-2147483648 by 0. flags=4116, preferSuggestedStream=false, session=null

//stream使用的是: STREAM_MUSIC, 正常

11-11 05:58:45.102  1514  1514 I volume_changed: [3,25,26,39,android]

11-11 05:58:45.108  1998  2502 I vol.Events: writeEvent level_changed STREAM_RING 5

针对此问题, 需要systemui 研究下, 是否为正常的逻辑以及如何处理.

谢谢!

#3 - 2022-11-17 11:50 - CD MM陈海波

- Category changed from AUDIO-FW to CD-FW

- Assignee changed from CD MM陈海波 to CD FW-王伟

#4 - 2022-11-17 14:19 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD FW-程天颖

#5 - 2022-11-22 16:38 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Fixed Version set to 2022-11-22

- Root cause set to 在蓝牙连接状态改变时，SystemUI收到连接设备改变的广播，然后进行一系列设置，由于更新连接设备设备，System更新了当前Stream的

状态，导致下一次更改声音时，更新当Stream与接收到的一致，导致没有更新音量条，所以是灰色的

■ Current conclusion
  bug is fixed

■ My analysis

  在蓝牙连接状态改变时，SystemUI收到连接设备改变的广播，然后进行一系列设置，由于更新连接设备设备，System更新了当前Stream的状态，导致下

一次更改声音时，更新当Stream与接收到的一致，导致没有更新音量条，所以是灰色的

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/164333

#6 - 2022-11-24 17:44 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

11.24 

验证通过

#7 - 2022-11-24 17:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:54 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164333 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:QuickSettings:Volume adjustment failed1.After connecting Bluetooth, immediately use the remote control to adjust the volume, the adjustment failsTC-RID:

1201-0201903IssueID: TS-R-BUG-113906Change-Id: I7bf9edf391196159f0b5f731bce9e9b897ffbc95

Files

logcat.txt 4.62 MB 2022-11-11 CD TEST-方永红

111.zip 8.42 MB 2022-11-11 CD TEST-方永红
